com.massivecraft.factions.util

## Class LazyLocation

- java.lang.Object
- - com.massivecraft.factions.util.LazyLocation

- All Implemented Interfaces:
    java.io.Serializable

      public class LazyLocation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyLocation(org.bukkit.Location loc)`
    `LazyLocation(java.lang.String worldName, double x, double y, double z)`
    `LazyLocation(java.lang.String worldName, double x, double y, double z, float yaw, float pitch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bukkit.Location` | `getLocation()`
    `double` | `getPitch()`
    `java.lang.String` | `getWorldName()`
    `double` | `getX()`
    `double` | `getY()`
    `double` | `getYaw()`
    `double` | `getZ()`
    `void` | `setLocation(org.bukkit.Location loc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyLocation

          public LazyLocation(org.bukkit.Location loc)

    - #### LazyLocation

          public LazyLocation(java.lang.String worldName,
                              double x,
                              double y,
                              double z)

    - #### LazyLocation

          public LazyLocation(java.lang.String worldName,
                              double x,
                              double y,
                              double z,
                              float yaw,
                              float pitch)

  - ### Method Detail

    - #### getLocation

          public final org.bukkit.Location getLocation()

    - #### setLocation

          public final void setLocation(org.bukkit.Location loc)

    - #### getWorldName

          public final java.lang.String getWorldName()

    - #### getX

          public final double getX()

    - #### getY

          public final double getY()

    - #### getZ

          public final double getZ()

    - #### getPitch

          public final double getPitch()

    - #### getYaw

          public final double getYaw()